@import url("/store/css/store-detail/store-information.css");

.store-detail__wrapper {
  /* padding: 0 16px; */
  /* height: 100vh; */
  color: rgba(0, 0, 0, 0.87);
}

.store-detail__title {
  display: flex;
  align-items: center;
  /* padding: 39px 16px 0 16px; */
  padding-top: 39px;
  padding-bottom: 39px;
}

.line-height-19 {
  line-height: 1.9rem;
}
.line-height-22 {
  line-height: 2.2rem;
}
.line-height-24 {
  line-height: 2.4rem;
}

.store__header h2 {
  font-size: 2.6rem;
  line-height: 2rem;
  margin-bottom: 2.1rem;
}

.store__header p {
  font-size: 13.6px;
  line-height: 2.2rem;
  color: #ff1800;
}

/* content */
.store-detail__content {
  /* padding-top: 39px; */
  padding-top: 0;
  padding-bottom: 32px;
  /* display: grid; */
  display: flex;
  flex-direction: column;
}

.store-detail__content-iframe {
  width: 100%;
  order: 1;
  height: 100%;
  margin-bottom: 8px;
  height: 375px;
  min-height: 375px;
  max-height: 560px;
}

/* content description text */

.store-detail__content-desc {
  /* padding: 8px 16px 0 16px; */
  width: 100%;
  order: 3;
  padding-top: 24px;
  /* max-width: calc(var(--max-width-PC) + 2 * var(--padding-inline));
  margin-left: auto; */
  margin-right: auto;
  padding-left: var(--padding-inline);
  padding-right: var(--padding-inline);
}

@media screen and (max-width: 519px) {
  .store-container,
  .store-detail__content-desc{
    padding-left: 16px;
    padding-right: 16px;
  }
}

.online-store__notification + .online-store__notification{
  margin-top: 16px;
}

.online-store__notification .notification__detail{
  display: block;
}

.online-store__notification .notification__detail > p + p{
  margin-left: 0;
}

.online-store__notification-container {
  width: 100%;
  order: 2;
  margin-top: 11px;
  /* grid-row: 2; */
  /* margin-bottom: 24px;
  margin-top: 16px; */
  /* max-width: calc(var(--max-width-PC) + 2 * var(--padding-inline));
  padding-left: var(--padding-inline);
  padding-right: var(--padding-inline); */
}

.store-detail__content--row {
  font-size: 1.3rem;
  flex-direction: column;
  /* line-height: 1.9rem; */
  display: flex;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.store-detail__content--row .store-detail__content-text {
  padding: 24px 0;
  /* line-height: 2.4rem; */
  color: rgba(0, 0, 0, 1);
  display: flex;
}

.store-detail__text-title {
  font-size: 1.3rem;
  font-weight: bold;
  line-height: 1.6rem;
  color: rgba(0, 0, 0, 0.3);
  min-width: 20%;
  padding-right: 1.6rem;
  width: max-content;
  max-width: 30%;
}

.no-flex {
  display: block !important;
}

.flex {
  display: flex !important;
}

.mobile-order__text {
  margin: auto;
  padding-left: 16px;
  font-size: 14px;
  color: #00754a;
}

.store-detail__content-text.no-flex > .store-detail__text-detail {
  margin-top: 16px;
  line-height: 2.2rem;
}

.store-detail__payment-method {
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(6, 32px);
  align-items: center;
}

.store-detail__payment-method .payment-method__item {
  max-width: 32px;
  height: auto;
}

.store-detail__payment-method .payment-method__item > img {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 1rem;
}

.store-detail__text-notice {
  display: flex;
  padding-top: 8px;
  font-size: 11px;
  line-height: 20px;
  color: rgba(0, 0, 0, 0.7);
}
.store-detail__text-notice:first-child{
  padding-top: 0px;
}

.store-type__icon {
  width: 40px;
  height: auto;
  flex-shrink: 0;
}
.store-type__text {
  line-height: 2.2rem;
  padding-left: 16px;
}

.store-detail__store-type {
  align-items: center;
}

.store-detail__store-type + .store-detail__store-type {
  padding-top: 16px;
  border: 1px solid transparent;
}

/* .store-detail__content-text.custom-break-line br {
  content: "";
  display: block;
  margin-top: 5px;
} */

.store-detail__title .reseave-logo {
  display: inline-block;
  margin-left: 25px;
  margin-top: -1px;
  width: 20px;
}

.store-detail__title-text {
  display: inline-block;
  font-weight: bold;
  font-size: 18px;
  line-height: 20px;
}

.flex-column {
  flex-direction: column;
}
.store-detail__content-desc
  .store-detail__content--row:first-child
  > .store-detail__content-text {
  padding-top: 0;
  color: rgba(0, 0, 0, 0.87);
}

.Sodo-text {
  font-family: "SoDoSans";
  font-size: 1.4rem;
  line-height: 2.4rem !important;
  /* margin-top: -3px; */
  /* letter-spacing: -1.5px; */
}

.number-text {
  margin-top: -3px;
}

.store-detail__text-detail > img {
  border-radius: 4px;
}

/* responsive */
@media screen and (min-width: 812px) {
  .store-detail__content-iframe {
    flex-basis: calc(50% - 27px);
    order: 2;
    height: 560px;
  }

  .store-detail__wrapper .breadcrum__current {
    color: rgba(0, 0, 0, 0.87);
  }

  .store-type__text {
    font-size: 1.5rem;
    line-height: 2.4rem;
  }
  .Sodo-text {
    font-size: 1.6rem;
  }
  .flex-row {
    flex-direction: row;
  }

  .store-detail__text-detail {
    line-height: 2.4rem;
    font-size: 1.5rem;
  }
  .store-detail__text-detail.Sodo-text {
    font-size: 1.6rem;
  }
  .store-detail__title .reseave-logo {
    /* display: inline-flex; */
    margin-left: 32px;
    /* margin-top: 4px; */
  }

  .store-detail__content--row .store-detail__content-text {
    line-height: 2.4rem;
  }

  .mobile-order__text {
    padding-left: 16px;
    font-size: 1.5rem;
  }

  /* .store-detail__content--row {
    font-size: 1.5rem;
    line-height: 2.1rem;
  } */

  .store-detail__title {
    padding-top: 55px;
    padding-bottom: 55px;
  }

  .store-detail__title .store-detail__title-text {
    font-size: 24px;
    line-height: 2.4rem;
  }

  /* .store-detail__text-title {
    line-height: 1.6rem;
  } */

  .store-detail__content {
    padding: 0 128px;
    padding-bottom: 49px;
    padding-top: 0;
    flex-direction: row;
    flex-wrap: wrap;
    /* column-gap: 64px; */
    /* grid-template-rows: auto auto; */
    /* row-gap: 40px; */
    /* grid-template-columns: repeat(2, 1fr); */
    padding-left: var(--padding-inline);
    padding-right: var(--padding-inline);
    width: 100%;
    max-width: calc(var(--max-width-PC) + 2 * var(--padding-inline));
    margin: 0 auto;
  }

  .store-detail__content-desc {
    padding: 0;
    flex-basis: calc(50% - 27px);
    order: 1;
    padding-inline: 0;
    /* grid-row: 2; */
  }

  .no-noti .store-detail__content-desc {
    grid-row: 1;
  }

  .online-store__notification-container {
    /* padding-inline: 0; */
    order: 1;
    padding-left: 0;
    padding-right: 0;
    /* grid-row: 1;
    grid-column: span 2; */
    margin-top: 0;
    margin-bottom: 40px;
  }

  .store-detail__content-text {
    display: flex !important;
  }

  .store-detail__content-text.no-flex > .store-detail__text-detail {
    margin-top: 0;
    line-height: 2.4rem;
  }
}

@media screen and (max-width: 811.9px) {
  .online-store__notification-container {
    padding: 0 40px;
  }
}

@media screen and (max-width: 519.9px) {
  .online-store__notification-container{
    padding: 0 16px;
  }
}

@media screen and (min-width: 992px) {
  .store-detail__content-iframe {
    flex-basis: calc(50% - 32px);
  }

  .store-detail__content-desc {
    flex-basis: calc(50% - 32px);
  }
}